package components;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;
import javax.swing.filechooser.FileNameExtensionFilter;

public class MyDialogBox extends JFrame {
	
	public MyDialogBox() {
		setComponents();
		
		setLayout(new FlowLayout());
		setVisible(true);
		setSize(700, 220);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		//setResizable(false);	
	}
	
	public void setComponents() {
		JMenuBar bar = new JMenuBar();
		
		JMenu menu = new JMenu("Actions");
		JMenuItem item;
		
		item = new JMenuItem("Open Dialog"); item.addActionListener(new OpenDialogListener(this));
		menu.add(item);
		item = new JMenuItem("Choose File"); item.addActionListener(new ChooseFileListener(this));
		menu.add(item);
		
		bar.add(menu);	
		setJMenuBar(bar);
	}
}

class OpenDialogListener implements ActionListener {
	private JFrame frame;
	
	public OpenDialogListener(JFrame frame) {
		this.frame = frame;
	}
	
	public void actionPerformed(ActionEvent e) {
		MyDialog dialog = new MyDialog(frame);
		dialog.setVisible(true);
	}
}

class ChooseFileListener implements ActionListener {
	private JFrame frame;
	
	public ChooseFileListener(JFrame frame) {
		this.frame = frame;
	}
	
	public void actionPerformed(ActionEvent e) {
		JFileChooser chooser = new JFileChooser();
	    FileNameExtensionFilter filter = new FileNameExtensionFilter("pdf & java Files", "pdf", "java");
	    chooser.setFileFilter(filter);
	    int returnVal = chooser.showOpenDialog(frame);
	    if(returnVal == JFileChooser.APPROVE_OPTION) {
	    	JOptionPane.showMessageDialog(null, "Choosen file " + chooser.getSelectedFile().getName() + "\n" + chooser.getSelectedFile().getAbsolutePath());
	    }
	}
}

class MyDialog extends JDialog {
	public MyDialog(JFrame frame) {
		super(frame, true);
		setLayout(new FlowLayout());
		setComponents();
		setSize(300, 120);
	}
	
	private void setComponents() {
		JLabel label = new JLabel("OOP");
		JButton button = new JButton("Click me");
		button.addActionListener(new DialogButtonListener(this));
		add(label);
		add(button);
	}
}

class DialogButtonListener implements ActionListener {
	private MyDialog dialog;
	
	public DialogButtonListener(MyDialog dialog) {
		this.dialog = dialog;
	}
	
	public void actionPerformed(ActionEvent e) {
		dialog.dispose();
	}
}

class MyDialogBoxMain {
	public static void main(String[] args){
		try {
			//UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			//UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
			JFrame f = new MyDialogBox(); 
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
}

