package events;

import java.awt.GridLayout;
import java.awt.event.*;
import java.util.Random;


import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JTextField;

public class MyButtonListener1 extends JFrame {
	private JButton myButton = new JButton("MyButton");
	private JFrame crtFrame;
	
	public MyButtonListener1() {
		crtFrame = this;
		setWindowEvents();
	
		add(myButton);
		setLayout(new GridLayout(2,2));
		
		setButtonEvents();
		
		setVisible(true);
		setSize(200, 200);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
	}
	
	private void setButtonEvents() {
		myButton.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					myButton.setText("ActionEvent");
				}
			});
		
		myButton.addComponentListener(
				new ComponentAdapter() {
					public void componentResized(ComponentEvent e) {
						myButton.setText("ComponentResized");
					}
				});
	}
	
	private void setWindowEvents() {
		addWindowListener(
			new WindowAdapter() {
				public void windowOpened(WindowEvent e) {
					JOptionPane.showMessageDialog(crtFrame, "Window opened");
					
				}
					
				public void windowClosing(WindowEvent e) {
					JOptionPane.showMessageDialog(null, "Window closing");
				}
					
				public void windowClosed(WindowEvent e) {
					//only id dispose is called()
					JOptionPane.showMessageDialog(null, "Window closed");
				}
			});
		
	}
}

class MyListener2 {
	public static void main(String[] args){
		JFrame f = new MyButtonListener1();
	}
}


